Subject: Re: httpd-2.0.52 (Apache2) testers wanted / maintainer searched
From: "Jon A. Lambert" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 29 Nov 2004 13:01:06 -0500

Igor Pechtchanski wrote:
> On Mon, 29 Nov 2004, Jon A. Lambert wrote:
>
>> Jon A. Lambert wrote:
>>> But now how do I run this build-script and from where?
>>
>> Sorry some additional information of what I tried
>> [snip]
>> jlambert@agamemnon /oem-install
>> $ ./httpd-2.0.52-1.sh               <------- doesn't seem to do
>> anything
>
> Did you actually take a look at the script?  It's a shell script, and
> should be easily readable.  The argument processing is at the very
> end.

Ah!   I now see it does everything for me automagically if everything is 
sitting in the right place.  I had deleted the Apache source after manually
untarring it.  Anyway I got it everything built and running.

In case anyone else is trying it out, I also had to do the following:

Manually run the postinstall
$ /etc/postinstall/httpd.sh

Edit the /etc/apache2/httpd.conf
At the very minimum you need to change ServerRoot
ServerRoot "/var/www"

Add a user - nobody is the default in the conf file - I used www
$ net user nobody /add /fullname:"Cygwin Apache2" 
/homedir:"c:\cygwin\var\empty" /active:no
$ mkpasswd -l -u nobody >> /etc/passwd

Change the permissions on this directory as the script creates it under my 
id
$ chmod o+w apache2

Add the environment option "CYGWIN=server" to the service install.
$ cygrunsrv -I apache2 -p /usr/sbin/httpd -a "-DNO_DETACH" -d "CYGWIN 
Apache2" -o -y cygserver -e "CYGWIN=server"

Thanks for your help. 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/